gnutls_x509_dn_init(3)

NAME
gnutls_x509_dn_init - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_dn_init(gnutls_x509_dn_t * odn);

ARGUMENTS

gnutls_x509_dn_t * odn
    the object to be initialized

DESCRIPTION
This function initializes a gnutls_x509_dn_t structure. The object returned must be deallocated using gnutls_x509_dn_deinit().

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.